MeiroDocs

Email Templates

Required feature: **emails/edit**

Section: Group Email Templates. Base URL: https://instance_name.meiro.io/api/.

Email Templates [/email_templates/{email_template_id}]

Retrieve Email Template [GET]

Required feature: emails/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "email_template": {
            "id": "983d437d-eac6-423b-beb5-40a619be332f",
            "name": "My email template",
            "content_json": "json content",
            "content_html": "html content",
            "modified": "2018-11-07T10:19:48Z",
            "modified_by": 1
        }
}

Modify Email Template [PATCH]

Required feature: emails/edit

  • Attributes (EmailTemplateUpdate)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "email_template": {
            "id": "983d437d-eac6-423b-beb5-40a619be332f",
            "name": "My email template",
            "content_json": "json content",
            "content_html": "html content",
            "modified": "2018-11-07T10:19:48Z",
            "modified_by": 1
        }
}

Delete Email Template [DELETE]

Required feature: emails/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

Email Templates [/email_templates]

List All Email Templates [GET]

Required feature: emails/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "email_templates": [
        {
            "id": "983d437d-eac6-423b-beb5-40a619be332f",
            "name": "My email template",
            "content_json": "json content",
            "content_html": "html content",
            "modified": "2018-11-07T10:19:48Z",
            "modified_by": 1
        }
    ]
}

Create Email Template [POST]

Required feature: emails/edit

  • Attributes (EmailTemplateCreate)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

{
    "email_template": {
            "id": "983d437d-eac6-423b-beb5-40a619be332f",
            "name": "My email",
            "content_json": "json content",
            "content_html": "html content",
            "modified": "2018-11-07T10:19:48Z",
            "modified_by": 1
        }
}

On this page